- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WKSContentParsingState Struct Reference

the spreadsheet state More...

## Public Member Functions
| WKSContentParsingState ()
| ~WKSContentParsingState ()

## Public Attributes
bool | m_isPageSpanOpened
bool | m_isFrameOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
double | m_pageFormLength
double | m_pageFormWidth
bool | m_pageFormOrientationIsPortrait
double | m_pageMarginLeft
double | m_pageMarginRight
double | m_pageMarginTop
double | m_pageMarginBottom
librevenge::RVNGString | m_textBuffer
int | m_numDeferredTabs
WPSFont | m_font
WPSParagraph | m_paragraph
bool | m_isParagraphColumnBreak
bool | m_isParagraphPageBreak
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isSheetOpened
bool | m_isSheetRowOpened
bool | m_isSheetColumnOpened
bool | m_isSheetCellOpened
bool | m_inSubDocument
bool | m_isNote
libwps::SubDocumentType | m_subDocumentType

## Private Member Functions
| WKSContentParsingState (const WKSContentParsingState &)
WKSContentParsingState & | operator= (const WKSContentParsingState &)

## Detailed Description

the spreadsheet state

## Constructor & Destructor Documentation

WKSContentParsingState::WKSContentParsingState | ( |  | ) |

WKSContentParsingState::~WKSContentParsingState | ( |  | ) |

WKSContentParsingState::WKSContentParsingState | ( | const WKSContentParsingState & |  | ) |
| private

## Member Function Documentation

WKSContentParsingState& WKSContentParsingState::operator= | ( | const WKSContentParsingState & |  | ) |
| private

## Member Data Documentation

unsigned WKSContentParsingState::m_currentPage

int WKSContentParsingState::m_currentPageNumber

WPSFont WKSContentParsingState::m_font

Referenced by WKSContentParsingState().

bool WKSContentParsingState::m_inSubDocument

bool WKSContentParsingState::m_isFrameOpened

bool WKSContentParsingState::m_isNote

bool WKSContentParsingState::m_isPageSpanOpened

bool WKSContentParsingState::m_isParagraphColumnBreak

bool WKSContentParsingState::m_isParagraphOpened

bool WKSContentParsingState::m_isParagraphPageBreak

bool WKSContentParsingState::m_isSheetCellOpened

bool WKSContentParsingState::m_isSheetColumnOpened

bool WKSContentParsingState::m_isSheetOpened

bool WKSContentParsingState::m_isSheetRowOpened

bool WKSContentParsingState::m_isSpanOpened

int WKSContentParsingState::m_numDeferredTabs

int WKSContentParsingState::m_numPagesRemainingInSpan

double WKSContentParsingState::m_pageFormLength

bool WKSContentParsingState::m_pageFormOrientationIsPortrait

double WKSContentParsingState::m_pageFormWidth

double WKSContentParsingState::m_pageMarginBottom

double WKSContentParsingState::m_pageMarginLeft

double WKSContentParsingState::m_pageMarginRight

double WKSContentParsingState::m_pageMarginTop

WPSParagraph WKSContentParsingState::m_paragraph

libwps::SubDocumentType WKSContentParsingState::m_subDocumentType

librevenge::RVNGString WKSContentParsingState::m_textBuffer

The documentation for this struct was generated from the following file:

- WKSContentListener.cpp